# 项目相关配置
gyee:
  #名称
  name: v2
  #版本
  version: 3.9
  #版权年份
  copyrightYear: 2020
  #文件上传路径
  defaultBaseDir: D:/v2file/
  #地址是否放入项目static目录，如果未Y 放入项目得static。 profile配置失效。  为N存放在D:/v2file/ 前端读取相同，不受影响
  isstatic: Y
  #开启存放静态文件夹后目录
  isroot_dir: static/file_upload/
  #邮件功能
  #邮箱发送smtp
  email_smtp: smtp.sina.com
  #邮箱发送端口
  email_port: 465
  #发送邮箱登录账号
  email_account: gyee@163.com
  #发送邮箱登录密码
  email_password: 1
  #实例演示开关 启动该模式删除增加修改会弹出演示模式提示框
  demoEnabled: false
  #漂亮得拖动验证码 默认false普通验证码、true滚动验证码
  rollVerification: true
  #实时数据库Url
  baseurl: http://10.155.32.4:8011/ts
  #API访问ip
  swaggerip: 10.155.32.4:8082
  #默认小数位数
  digit: 2
#tomcat config
server :
  port : 8082
  session:
    timeout: 7200
  ##项目名字配置
  #servlet : 
  #  context-path : /demo
  tomcat :
    maxHttpHeaderSize : 8192
    max-threads : 128
    min-spare-threads : 5
    uri-encoding : UTF-8
    #shiro 报错修改的地方
    max-connections: 200000
    max-http-form-post-size: 9000000
spring :
  # 环境 dev|test|prod
  profiles :
    active : dev
    #引入其他配置文件，例如ftpHX 未配置文件application-ftpHX.yml
    #include: ftpHX,ftpCloud
  servlet:
    multipart:
      #设置总上传的数据大小
      max-request-size: 100MB
      #单个文件大小
      maxFileSize : 30MB
        #shiro 报错修改的地方
    max-connections: 200000
    max-http-post-size: 9000000
  #热部署模块
  devtools:
    restart:
      #热部署开关
      enabled: true
      #指定热部署的目录
      additional-paths: src/main/java
      #指定目录不更新
      exclude: test/**
  mvc:   #静态文件
    static-path-pattern : /static/**
    async.request-timeout : 20000 #接口访问超时设置20秒
  #模板引擎
  thymeleaf:
    model: HTML5
    prefix: classpath:/templates/
    suffix: .html
    #指定编码
    encoding: utf-8
    #禁用缓存 默认false
    cache: false
  jackson:
    time-zone: GMT+8
    date-format: yyyy-MM-dd HH:mm:ss
  redis:
    database: 1
    host: 10.155.32.4
    password: gdnxfd123
    pool:
      max-active: 8
      max-idle: 8
      max-wait: -1
      min-idle: 0
    port: 6379
    timeout: 60000
#mybatis:
#  #配置mapper的扫描，找到所有的mapper.xml映射文件
#  mapperLocations : classpath*:mybatis/*/*.xml
#  #mybatis提供三种sql执行器，分别是SIMPLE、REUSE、BATCH。
#  executor-type : reuse
#  #搜索指定包别名
#  typeAliasesPackage : com.*.model
#  #该配置项就是指将带有下划线的表字段映射为驼峰格式的实体类属性。
#  configuration :
#    map-underscore-to-camel-case : true
#mybatis:
#  configuration:
#    #开启MyBatis的二级缓存
#    cache-enabled: false
#pagehelper分页插件
udp:
  port: 12025

asyncThreadPool:
  # 核心线程池大小
  corePoolSize: 15
  # 最大线程数
  maxPoolSize: 30
  # 队列容量
  queueCapacity: 150
  # 活跃时间
  keepAliveSeconds: 30
  # 主线程等待子线程执行时间
  awaitTerminationSeconds: 30
  # 线程名字前缀
  threadNamePrefix: thread-pool-task-executor-
pagehelper:
    helperDialect: oracle
    reasonable: true
    supportMethodsArguments: true
    params: count=countSql
#七牛云配置
oss:
  qiniu:
    #对应存储空间的访问域名
    domain: q0stnsal9.aaa.bbb.com
    #accessKey密钥
    accessKey: 5o-rVbYF111C
    #secretKey秘钥
    secretKey: C9TETPDFHDj38d
    #bucket是创建的存储空间名
    bucket: test-img

